Page MenuHomePhabricator

[lldb][NFC] Check in test case for testing virtual function calls in pointers and references.
AbandonedPublic

Authored by teemperor on Aug 7 2019, 7:20 AM.

Details

Reviewers
lhames
davide
Summary

rdar://38048657 says that the following test case was broken. It seems to have been fixed since then, so
this patch just adds the test case to our test suite to check for regressions.

Diff Detail

Event Timeline

teemperor created this revision.Aug 7 2019, 7:20 AM
Herald added a project: Restricted Project. · View Herald TranscriptAug 7 2019, 7:20 AM
davide accepted this revision.Aug 7 2019, 9:51 AM
davide added a subscriber: davide.

I seem to remember there was a bug where you run the expression twice and the second time it crashes/it's not evaluated correctly [at least this is what I remember talking to Lang ~18 months ago].
If that works, yay for more coverage!

This revision is now accepted and ready to land.Aug 7 2019, 9:51 AM
teemperor planned changes to this revision.Aug 8 2019, 6:50 AM

Seems like the radar was actually for something else (covariant returns), so this needs to be updated (as covariant returns are still broken).

teemperor abandoned this revision.Feb 26 2020, 2:55 AM

This was fixed/tested in D73024